Bug 1788612 - pulling new registry.redhat.io/openjdk/openjdk-8-rhel8:1.1 unreliable from AWS/GCP
Summary: pulling new registry.redhat.io/openjdk/openjdk-8-rhel8:1.1 unreliable from AW...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Samples
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-07 15:41 UTC by Gabe Montero
Modified: 2020-05-04 11:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the upstream definition of the openjdk-8-rhel8:1.1 imagestreamtag had a bad image reference Consequence: imports of the openjdk-8-rhel8:1.1 imagestream tag failed Fix: the openjdk-8-rhel8:1.1 imagestreamtag definition was fixed upstream and pulled back into openshift Result: imports of the openjdk-8-rhel8:1.1 imagestreamtag now work
Clone Of:
Environment:
Last Closed: 2020-05-04 11:23:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-samples-operator pull 212 None closed Bug 1788612: temp disable of openjdk-8-11 while it seems busted on registry.redhat.io 2020-04-17 15:35:35 UTC
Github openshift cluster-samples-operator pull 216 None closed Bug 1788612: add openjdk8:1.1 imagestream back 2020-04-17 15:35:35 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:23:40 UTC

Description Gabe Montero 2020-01-07 15:41:17 UTC
New image / imagestream from openjdk does exist, though pulling it is very flaky

After several retries, I was able to pull locally from the corporate net:

registry.redhat.io/openjdk/openjdk-8-rhel8            1.1                 67569356870e        3 weeks ago         474MB


But prow ci searches and openshift namespace must-gather shows it failing pretty consistently from remote locations like AWS/GCP

the 1.0 tag pull consistently from AWS/GCP

Removing from 4.4 until this stabilizes.  Will monitor initially but may need to reach out to TBR for support here.

This is only in 4.4.  This image is not referenced in 4.3.

Comment 8 XiuJuan Wang 2020-01-13 02:15:15 UTC
openjdk-8-rhel8:1.1 imagestreamtag with registry.redhat.io/openjdk/openjdk-8-rhel8:1.1 is adding back, and import successfully in 4.4.0-0.nightly-2020-01-12-032939.

$oc describe is openjdk-8-rhel8  -n openshift 
Name:			openjdk-8-rhel8
Namespace:		openshift
Created:		3 hours ago
Labels:			samples.operator.openshift.io/managed=true
			xpaas=1.4.17
Annotations:		openshift.io/display-name=Red Hat OpenJDK 1.8 (RHEL8)
			openshift.io/image.dockerRepositoryCheck=2020-01-12T23:35:56Z
			openshift.io/provider-display-name=Red Hat, Inc.
			samples.operator.openshift.io/version=4.4.0-0.nightly-2020-01-12-032939
			version=1.4.17
Image Repository:	default-route-openshift-image-registry.apps.qe-groupd-0113.qe.devcluster.openshift.com/openshift/openjdk-8-rhel8
Image Lookup:		local=false
Unique Images:		2
Tags:			2

1.1
  tagged from registry.redhat.io/openjdk/openjdk-8-rhel8:1.1
    prefer registry pullthrough when referencing this tag

  Build and run Java applications using Maven and OpenJDK 1.8 upon RHEL8.
  Tags: builder, java, openjdk, ubi8, hidden
  Example Repo: https://github.com/jboss-openshift/openshift-quickstarts

  * registry.redhat.io/openjdk/openjdk-8-rhel8@sha256:af5334f9b683d2eb1ab6a80a3207ea3620af614c83b2bea3947e0ddf49a8a654
      3 hours ago

1.0
  tagged from registry.redhat.io/openjdk/openjdk-8-rhel8:1.0
    prefer registry pullthrough when referencing this tag

  Build and run Java applications using Maven and OpenJDK 1.8 upon RHEL8.
  Tags: builder, java, openjdk, ubi8, hidden
  Example Repo: https://github.com/jboss-openshift/openshift-quickstarts

  * registry.redhat.io/openjdk/openjdk-8-rhel8@sha256:e6036aad8a38426a8b3ff0facee5764959d258998f9bfe04dde2734c95c20cab
      3 hours ago

Comment 10 errata-xmlrpc 2020-05-04 11:23:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.